summary refs log tree commit diff
path: root/home/.bin
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2017-07-25 22:10:32 -0400
committerJune McEnroe <june@causal.agency>2017-07-25 22:10:32 -0400
commitd3aa30927d962a2e8550c5979bce6b3bdb6dda2d (patch)
tree0afd62542d8f2c01926e380977fa1bd7dff5f7a2 /home/.bin
parentAutopickup rings (diff)
downloadsrc-d3aa30927d962a2e8550c5979bce6b3bdb6dda2d.tar.gz
src-d3aa30927d962a2e8550c5979bce6b3bdb6dda2d.zip
Add up, sup
Diffstat (limited to 'home/.bin')
-rwxr-xr-xhome/.bin/sup7
-rwxr-xr-xhome/.bin/up12
2 files changed, 19 insertions, 0 deletions
diff --git a/home/.bin/sup b/home/.bin/sup
new file mode 100755
index 00000000..7a69d9d0
--- /dev/null
+++ b/home/.bin/sup
@@ -0,0 +1,7 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset -o pipefail
+
+dir=$(mktemp -d)
+screencapture -i "$dir/capture.png"
+up "$dir/capture.png"
+rm -r "$dir"
diff --git a/home/.bin/up b/home/.bin/up
new file mode 100755
index 00000000..3a25e112
--- /dev/null
+++ b/home/.bin/up
@@ -0,0 +1,12 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset -o pipefail
+
+ts=$(date +%s)
+rand=$(openssl rand -hex 4)
+ext=${1##*.}
+url=$(printf 'tmp.cmcenroe.me/%x%s.%s' "$ts" "$rand" "$ext")
+
+scp -q "$1" "tmp.cmcenroe.me:/usr/local/www/$url"
+
+echo "https://$url"
+type pbcopy > /dev/null && echo -n "https://$url" | pbcopy